//네이티브 URL 포맷: sknative://{네이티브 페이지 문자열 상수}[?key1=value1&key2=value2]
//네이티브 페이지 문자열 상수:
//1. bill : 청구서 화면
//2. bill_list : 청구서목록 화면
//3. family_bill : 가족 청구서 화면
//4. reissue : 재발행 화면// app 팝업

// 앱 호출
var appActionCall = function(code, msg, url, type, obj, action, param) {	
	var arrAction = {
		action_code : code, // 1000
		msg : msg, // msg 전달
		url : url, // url 전달
		action_type : type, // 0 : url / 1 : msg
		button : obj, // btn 속성 정의
		action : action,
		param : param
	};
	var appUrl = "sktb://" + encodeURIComponent(JSON.stringify(arrAction));
	location.href = appUrl;
};

//홈으로 이동
var goHome = function (){
	console.log("goHome()");
	var arrAction = {
			action_code : "2000",
			action : "3", // 0: non , 1: in , 2: out , 3 : native
			url : "sknative://home"	
		};
		
		var url ="sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
		 location.href = url;
}

//안내로 이동
var goGuide = function (){
	console.log("goGuide");
	var arrAction = {
			action_code : "2000",
			action : "3", // 0: non , 1: in , 2: out , 3 : native
			url : "sknative://show_guide"	
	};
	var url ="sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
	location.href = url;
}

//1. 요금제 변경
var ordChgBtnCall = function(){
  console.log("ordChgBtnCall()");
  var arrAction = 
  {
     action_code : "1000",
     msg : "",
     url : "sktemplate://template/html/skt_mtworld.html?biz=ordchg",
     action_type : "0",
     title : "알림",
     button : [
  		{
  			type : "1",
  			text : "확인하기",
  			url : "http://m2.tworld.co.kr/jsp/op.jsp?p=w10&f=I0002",
  			action : "2"
  		},
  		{
  			type : "0",
  			text : "취소하기",
  			url : "",
  			action : "0"
  		}
  	]
  };	

  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
  location.href = url;
};

//2. 약정할인 지원정보
var exptCostInfoBtnCall = function(){
  console.log("exptCostInfoBtnCall()");
  var arrAction = 
  {
     action_code : "1000",
     msg : "",
     url : "sktemplate://template/html/skt_mtworld.html?biz=exptcostinfo",
     action_type : "0",
     title : "알림",
     button : [
  		{
  			type : "1",
  			text : "확인하기",
  			url : "http://m2.tworld.co.kr/jsp/op.jsp?p=w3&f=I0001",
  			action : "2"
  		},
  		{
  			type : "0",
  			text : "취소하기",
  			url : "",
  			action : "0"
  		}
  	]
  };

  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
  location.href = url;
};

//3. 소액결제 이용한도 변경
var microPayChgBtnCall = function(){
  console.log("microPayChgBtnCall()");
  var arrAction = 
  {
     action_code : "1000",
     msg : "",
     url : "sktemplate://template/html/skt_mtworld.html?biz=micropaychg",
     action_type : "0",
     title : "알림",
     button : [
  		{
  			type : "1",
  			text : "확인하기",
  			url : "http://m2.tworld.co.kr/jsp/op.jsp?p=w73&f=I0002",
  			action : "2"
  		},
  		{
  			type : "0",
  			text : "취소하기",
  			url : "",
  			action : "0"
  		}
  	]
  };

  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
  location.href = url;
};

// 4. 자동납부 신청 변경
var payInfoChgBtnCall = function(){
  console.log("payInfoChgBtnCall()");	
  var arrAction = 
  {
     action_code : "1000",
     msg : "",
     url : "sktemplate://template/html/skt_mtworld.html?biz=payinfochg",
     action_type : "0",
     title : "알림",
     button : [
  		{
  			type : "1",
  			text : "확인하기",
  			url : "http://m2.tworld.co.kr/jsp/op.jsp?p=w67&f=a0006",
  			action : "2"
  		},
  		{
  			type : "0",
  			text : "취소하기",
  			url : "",
  			action : "0"
  		}
  	]
  };

  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
  location.href = url;
};

// 5. 세금계산서 재발행 신청
var taxInfoChgBtnCall = function(){
  console.log("taxInfoChgBtnCall()");	
  var arrAction = 
  {
     action_code : "1000",
     msg : "",
     url : "sktemplate://template/html/skt_mtworld.html?biz=taxinfochg",
     action_type : "0",
     title : "알림",
     button : [
  		{
  			type : "1",
  			text : "확인하기",
  			url : "http://m2.tworld.co.kr/jsp/op.jsp?p=w74&f=I0001",
  			action : "2"
  		},
  		{
  			type : "0",
  			text : "취소하기",
  			url : "",
  			action : "0"
  		}
  	]
  };

  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
  location.href = url;
};

// 6. 멤버십카드 신청
var mCardJoinBtnCall = function(){
  console.log("mCardJoinBtnCall()");	
  var arrAction = 
  {
     action_code : "1000",
     msg : "",
     url : "sktemplate://template/html/skt_mtworld.html?biz=mcardjoin",
     action_type : "0",
     title : "알림",
     button : [
  		{
  			type : "1",
  			text : "확인하기",
  			url : "http://m2.tworld.co.kr/jsp/op.jsp?p=w38&#38;f=I0001",
  			action : "2"
  		},
  		{
  			type : "0",
  			text : "취소하기",
  			url : "",
  			action : "0"
  		}
  	]
  };

  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
  location.href = url;
};

// 6. 멤버십카드 정보변경
var mCardChgBtnCall = function(){
	console.log("mCardChgBtnCall()");	
	var arrAction = 
	{
			action_code : "1000",
			msg : "",
			url : "sktemplate://template/html/skt_mtworld.html?biz=mcardchg",
			action_type : "0",
			title : "알림",
			button : [
			          {
			        	  type : "1",
			        	  text : "확인하기",
			        	  url : "http://m2.tworld.co.kr/jsp/op.jsp?p=w42&f=I0002",
			        	  action : "2"
			          },
			          {
			        	  type : "0",
			        	  text : "취소하기",
			        	  url : "",
			        	  action : "0"
			          }
			          ]
	};
	
	var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
	location.href = url;
};

// 7. 멤버십가맹점 안내
var mBrchInfoBtnCall = function(){
  console.log("mBrchInfoBtnCall()");	
  var arrAction = 
  {
     action_code : "1000",
     msg : "",
     url : "sktemplate://template/html/skt_mtworld.html?biz=mbrchinfo",
     action_type : "0",
     title : "알림",
     button : [
  		{
  			type : "1",
  			text : "확인하기",
  			url : "http://m2.tworld.co.kr/jsp/op.jsp?p=a2&f=I0001",
  			action : "2"
  		},
  		{
  			type : "0",
  			text : "취소하기",
  			url : "",
  			action : "0"
  		}
  	]
  };

  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
  location.href = url;
};

// 8. OK Cashbag 바로가기
var okCashBagBtnCall = function(){
	console.log("okCashBagBtnCall()");	
	  var arrAction = 
	  {
	     action_code : "1000",
	     msg : "온라인 쿠폰번호 적립을 위해 OK Cashbag 홈페이지로 이동합니다.",
	     url : "",
	     action_type : "1",
	     title : "알림",
	     button : [
	  		{
	  			type : "1",
	  			text : "확인하기",
	  			url : "http://m.okcashbag.com",
	  			action : "2"
	  		},
	  		{
	  			type : "0",
	  			text : "취소하기",
	  			url : "",
	  			action : "0"
	  		}
	  	]
	  };

	  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
	  location.href = url;
	};
	
	
// 회선별 상세내역	
var dtlNumPopUpBtnCall = function( biz ){
	console.log("dtlNumPopUpBtnCall()"+biz);	
	
	  var arrAction = 
	  {
	     action_code : "1000",
	     msg : "",
	     url : "sktemplate://template/html/bill_mline_popup.html?biz="+biz,
	     action_type : "0",
	     title : "상세내역",
	     button : [
	  		{
	  			type : "1",
	  			text : "확인",
	  			url : "",
	  			action : "0"
	  		}
	  	]
	  };

	  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
	  location.href = url;
};


//web이동
var goWWWurlBtnCall = function(goUrl, msg){
console.log("goWWWurlBtnCall()");
var arrAction = 
{
   action_code : "1000",
   msg : "",
   url : "sktemplate://template/html/skb_napbu.html?biz=goWwwUrl&goUrl="+goUrl+"&msg="+msg,
   action_type : "0",
   title : "알림",
   button : [
		{
			type : "1",
			text : "확인하기",
			url : "http://"+goUrl,
			//url : goUrl,
			action : "2"
		},
		{
			type : "0",
			text : "취소하기",
			url : "",
			action : "0"
		}
	]
};

var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
location.href = url;
};

//캐쉬백 app설치로 이동
var goOkcashBagApp = function (){	
	console.log("OK캐쉬백 앱 다운로드");
	goWWWurlBtnCall("m.okcashbag.com/", 'OK캐쉬백"');
}

//청구서 조회시 Club-T 또는 이벤트 팝업을 호출한다. - 최기문
var eventPop = function( evtValue, evfValue, evdValue, invoDt, acntNum){
 console.log("eventPop call()");
 console.log(window.location.href);

 var current_date;
 var today;
 today = new Date();
 year = today.getFullYear().toString();
 month = (today.getMonth()+1).toString();
 day = today.getDate().toString();
 
 current_date = year +  (month[1]?month:"0"+month[0]) + (day[1]?day:"0"+day[0]);

 console.log("current_date : " + current_date);
 console.log("evtValue : " + evtValue); // evt
 console.log("evfValue : " + evfValue); // evf 
 console.log("evdValue : " + evdValue); // evd
 console.log("invoDt : " + invoDt);  // invo_dt
 console.log("acntNum : " + acntNum); // acnt_num
 
 
 //if(eventYn == "N") return;
 
  if( ((evtValue == 'A' || evtValue == 'W') && evfValue == 'Y') && current_date <= evdValue){ // 이벤트 팝업
   
   var url;
   var invo_dt = invoDt;
   var acnt_num = acntNum;
   
   console.log('eventPopup call()');
   
   eventPopup();

 }  
};

// 청구서 조회시 이벤트 팝업을 호출한다.
var eventPopup = function(){
   console.log("eventPopupCall()");
   
   var goFileUrl;
   var goFileNm;
   var menuid;
 
   goFileUrl = document.location.pathname; 
   goFileNm = goFileUrl.substring(goFileUrl.lastIndexOf('/')+1);
   
   // 현재 B일경우 menuid=event 는 맞춤안내로 연결됨. 수정필요
   /*if ( goFileNm == "wire_bill.html" ) menuid = "event2";
   else menuid="event";*/
   menuid="id_m_pj";
 
   var arrAction = 
   {
      action_code : "4000",
      msg : "",
      url : "sktemplate://template/html/bills_event_popup.html",
      action_type : "0",
      title : "알림",       
      button : [
   		{
   			type : "1",
   			text : "당첨 확인하기",
   			url : "sktemplate://template/html/" + goFileNm + "?menuid="+menuid,
   			action : "1"
   		},
   		{
   			type : "0",
   			text : "닫기",
   			url : "",
   			action : "0"
   		}
   	]
   };

   //var url = "sktb://" + JSON.stringify(arrAction); 
   var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
   location.href = url; 
};

//ClubT 팝업을 호출한다.
var clubTPopup = function(url){
	console.log("clubTPopup()");
	  var arrAction = 
	  {
	     action_code : "1000",
	     msg : "",
	     url : url,
	     action_type : "0",
	     title : "알림",
	     button :[
	  		{
	  			type : "0",
	  			text : "닫기",
	  			url : "",
	  			action : "0"
	  		}	  	
	  		]
	  };	

	  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
	  location.href = url;	
};

// 해당 월 청구서로 이동
var goBillCall = function (invdt){
	console.log("goBillCall");	
	var arrAction = {
		  action_code : "2000",
		  action : "3", // 0: non , 1: in , 2: out , 3 : native
		  url : "sknative://bill?invdt="+ invdt // invdt 청구서 화면으로 이동
	};
		
	var url ="sktb://" + encodeURIComponent(JSON.stringify(arrAction));	
	location.href = url;	
};


// 청구서 생성 데이터 오류 페이지
var dataErrorPageCall = function (){
	console.log("dataErrorPageCall");
	location.href = "../html/billdata_error.html";	 
};


// 내게 맞는 요금제 찾기	
var myOrdChgBtnCall = function(){
	  console.log("myOrdChgBtnCall()");
	  var arrAction = 
	  {
	     action_code : "1000",
	     msg : "",
	     url : "sktemplate://template/html/skt_mtworld.html?biz=myordchg",
	     action_type : "0",
	     title : "알림",
	     button : [
	  		{
	  			type : "1",
	  			text : "확인하기",
	  			url : "http://m2.tworld.co.kr/jsp/op.jsp?p=w287&f=l0001",
	  			action : "2"
	  		},
	  		{
	  			type : "0",
	  			text : "취소하기",
	  			url : "",
	  			action : "0"
	  		}
	  	]
	  };	

	  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
	  location.href = url;
};

//SKB 요금납부
var skbPopUpBtnCall = function(  ){
	  console.log("skbPopUpBtnCall()");
	  var arrAction = 
	  {
	     action_code : "1000",
	     msg : "",
	     url : "sktemplate://template/html/skb_napbu.html?biz=napbu",
	     action_type : "0",
	     title : "알림",
	     button : [
	  		{
	  			type : "1",
	  			text : "확인하기",
	  			url : "https://mcyber.skbroadband.com:8443/normal.do?serviceId=S_DUMY0001&viewId=V_PAYM0001",
	  			action : "2"
	  		},
	  		{
	  			type : "0",
	  			text : "취소하기",
	  			url : "",
	  			action : "0"
	  		}
	  	]
	  };	

	  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
	  location.href = url;
};

//SKB 자동납부 신청 변경
var skbPayInfoChgBtnCall = function(){
	  console.log("skbPayInfoChgBtnCall()");
	  var arrAction = 
	  {
	     action_code : "1000",
	     msg : "",
	     url : "sktemplate://template/html/skb_napbu.html?biz=payinfochg",
	     action_type : "0",
	     title : "알림",
	     button : [
	  		{
	  			type : "1",
	  			text : "확인하기",
	  			url : "https://mcyber.skbroadband.com:8443/normal.do?serviceId=S_DUMY0001&viewId=V_PAYM0002",
	  			action : "2"
	  		},
	  		{
	  			type : "0",
	  			text : "취소하기",
	  			url : "",
	  			action : "0"
	  		}
	  	]
	  };	

	  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
	  location.href = url;	
};

//SKB 세금계산서 재발행 신청
var skbTaxInfoChgBtnCall = function(  ){
	  console.log("skbTaxInfoChgBtnCall()");
	  var arrAction = 
	  {
	     action_code : "1000",
	     msg : "",
	     url : "sktemplate://template/html/skb_napbu.html?biz=taxinfochg",
	     action_type : "0",
	     title : "알림",
	     button : [
	  		{
	  			type : "1",
	  			text : "확인하기",
	  			url : "https://mcyber.skbroadband.com:8443/normal.do?serviceId=S_PAYM0012&viewId=V_BILL0015",
	  			action : "2"
	  		},
	  		{
	  			type : "0",
	  			text : "취소하기",
	  			url : "",
	  			action : "0"
	  		}
	  	]
	  };	

	  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
	  location.href = url;
};


//SKB B타민 서비스 신청 버튼
var skbBptSvcBtnCall = function(  ){
	  console.log("skbBptSvcBtnCall()");
	  var arrAction = 
	  {
	     action_code : "1000",
	     msg : "",
	     url : "sktemplate://template/html/skb_napbu.html?biz=bptSvc",
	     action_type : "0",
	     title : "알림",
	     button : [
	  		{
	  			type : "1",
	  			text : "확인하기",
	  			url : "http://btamin.skbroadband.com",
	  			action : "2"
	  		},
	  		{
	  			type : "0",
	  			text : "취소하기",
	  			url : "",
	  			action : "0"
	  		}
	  	]
	  };	

	  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
	  location.href = url;
};


// 주소 연락처정보 조회 및 수정 
var addrChgBtnCall = function(){
	  console.log("addrChgBtnCall()");
	  var arrAction = 
	  {
	     action_code : "1000",
	     msg : "",
	     url : "sktemplate://template/html/skt_mtworld.html?biz=addrchg",
	     action_type : "0",
	     title : "알림",
	     button : [
	  		{
	  			type : "1",
	  			text : "확인하기",
	  			url : "http://m2.tworld.co.kr/jsp/op.jsp?p=w284&f=l0001",
	  			action : "2"
	  		},
	  		{
	  			type : "0",
	  			text : "취소하기",
	  			url : "",
	  			action : "0"
	  		}
	  	]
	  };	

	  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
	  location.href = url;
	};
	
//SKB 요금납부
var skbPayInfoBtnCall = function(){
	  console.log("skbPayInfoBtnCall()");
	  var arrAction = 
	  {
	     action_code : "1000",
	     msg : "",
	     url : "sktemplate://template/html/skb_napbu.html?biz=napbu",
	     action_type : "0",
	     title : "알림",
	     button : [
	  		{
	  			type : "1",
	  			text : "확인하기",
	  			url : "https://mcyber.skbroadband.com:8443/normal.do?serviceId=S_DUMY0001&viewId=V_PAYM0033",
	  			action : "2"
		  		},
	  		{
	  			type : "0",
	  			text : "취소하기",
	  			url : "",
	  			action : "0"
	  		}
	  	]
	  };	
	  
	  var url = "sktb://" + encodeURIComponent(JSON.stringify(arrAction)); 
	  location.href = url;	
};
