var deviceType = "app";
var date = new Date();
var year = date.getFullYear();
var month = date.getMonth() + 1;
var day =  date.getDate();
var millsecond =  date.getMilliseconds();

var today = year.toString() + year.toString() + month.toString() + day.toString() +millsecond.toString();

var WDDO_SKT_SMART = function () {};
var billMonthList = new Array(); //앱에 존재 하는 청구서 목록
var currentDate = year+"-"+month;

var popBillItemDiv;
var popBillItemNum;

/**
 * 소액결제, 컨텐츠, 할인내역 상세 팝업 open전  항목 구분과 보여질 회선 번호 설정
 **/
var goDetailPop = function (temlateDiv, divNum){		
	popBillItemDiv = temlateDiv;
	popBillItemNum = divNum;
	detailPopFlag = true;
}

/**
 * 소액결제, 컨텐츠, 할인내역 상세 팝업 탬플릿 설정
 **/
var showDetailPop = function (){
	try{
			var popTemp = $('#'+popBillItemDiv+'_template').html();
			
			var html = Mustache.render(popTemp, WDDO_SKT_SMART.billJOSNData);
			
			if (popBillItemDiv =="wireless_dc" || popBillItemDiv =="wire_dc"){
				$('#lay_wrap').removeClass("sv_acc");
				$('#lay_wrap').addClass("sv_guide");
				$('#lay_wrap').attr("data-use-transform-align", false);
			}else{				
				$('#lay_wrap').removeClass("sv_guide");
				$('#lay_wrap').addClass("sv_acc");
				$('#lay_wrap').removeAttr("data-use-transform-align");
			}
			
			var temp = $('#lay_wrap').append(html);			
			//회선 선택이 되었을 경우 선택 회선 외의 정보 숨김
			if (popBillItemNum != null && popBillItemNum != "" ){
				$('#lay_wrap > .lay_content> .module> .par_m_wrap').each(function() {
					var classNm = $(this).attr('class');
					if (classNm.indexOf(popBillItemDiv+'_'+popBillItemNum) < 0){
						$(this).remove();
					}
				});
			}
			
			//한개 회선일 경우 회선 번호 숨김
			if ($('.line_tt').length == 1){
				$('.line_tt').hide();
			}

	}catch(e){
		console.log(e.toString());
		dataErrorPageCall();
	}
}

//앱에서 전달받은 청구서 목록 달력에 넘길수 있도록 설정
var initBillList = function (){
	var dateList = [];
	var billYear ="";
	var listCnt = 0;
	
	jsonData = WDDO_SKT_SMART.billJOSNData;	
	if (!jsonData.invo_list){
		//test 날짜 세팅
		billMonthList= [ // 청구서가 있는 년월의 데이타를 배열로 넘겨주세요
            '2016-11',
            '2017-02',
            '2017-05',
            '2017-06'
        ];
        currentDate= '2017-06';
		return;		
	}
	
	if (jsonData !== undefined) {
		
		if (jQuery.isArray(jsonData.invo_list)) {
			//년도를 찾아 해단 월 목록은 가져와 조합한다.
			for (i=0; i < jsonData.invo_list.length; i ++) {
				// 해당년도 찾아 청구서 있는 날짜 배열 반환
				billYear = jsonData.invo_list[i].year
				dateList = jsonData.invo_list[i].date.split(',');
				//2017-01 로 조합
				for (m = 0; m < dateList.length ; m++){
					billMonthList[listCnt++] = billYear+"-"+ force2Digits(dateList[m]);
				}
			}
		} else {
			//가지고 있는 청구서 목록이 1 건일 경우
			// 해당년도 찾아 청구서 있는 날짜 배열 반환
			billYear = jsonData.invo_list.year
			dateList = jsonData.invo_list.date.split(',');
			//2017-01 로 조합
			for (m = 0; m < dateList.length ; m++){
				billMonthList[listCnt++] = billYear+"-"+ force2Digits(dateList[m]);
			}
			
		}
		//현재 청구서 년월 setting
		if(jsonData.invo_year && jsonData.invo_month){
			currentDate = jsonData.invo_year +"-"+force2Digits(makeNumber(jsonData.invo_month));
			$(".ui_monthCalendar").attr("data-select-date", currentDate);
			$(".ui_monthCalendar_toggle").html(jsonData.invo_year+"년 "+makeNumber(jsonData.invo_month)+"월<span class='hide'>날짜  선택 열기</span>");
			$("div.sel_cal").text(jsonData.invo_year+"년 "+makeNumber(jsonData.invo_month)+"월");
		}
	}
}

/**
 * 숫자 1자릿수 앞에 0 붙이기
 */
function force2Digits(value) {
	return (value < 10) ? '0' + value.toString() : value.toString();
}

// request object 사용
var Request = function()
{
	this.getParam = function( name )
	{
		var result = '';
		var thisUrl = unescape(location.href);
		var params = thisUrl.substring(thisUrl.indexOf('?')+1).split('&');

		for(var i = 0 ; i < params.length ; i++)
		{
			var keyValue = params[i].split('=');
			if(keyValue[0].toUpperCase() == name.toUpperCase())
			{
				result = keyValue[1];
				break;
			}
		}
		return result;
	}
};

// page load시 각 클래스 formatting
// pageType (간편보기 : simple, 청구서 상세 : 넘기지 않는다.)
var loadDocument = function(pageType) {
	
	// 20150602 -> 2015. 6.
	if ($(".class_to_ymd").length > 0) {
		$(".class_to_ymd").each(function() {
			$(this).prepend(makeDatefn($(this).attr("value")));
		});
	}

	// YYYYMMDD -> YYYY년MM월
	if ($(".class_to_ym_yd").length > 0) {
		$(".class_to_ym_yd").each(function() {
			$(this).prepend(toYmYd($(this).attr("value")));
		});
	}

	// YYYYMMDD -> YYYY년 MM월
	if ($(".class_to_ym_ym_space").length > 0) {
		$(".class_to_ym_ym_space").each(function() {
			$(this).prepend(toYmYd($(this).attr("value")).replace("년", "년 "));
		});
	}

	// YYYYMMDD -> YYYY.MM.DD.
	if ($(".class_to_ymd_comma").length > 0) {
		$(".class_to_ymd_comma").each(function() {
			$(this).prepend(toYmdComma($(this).attr("value")));
		});
	}

	// YYYYMM -> YYYY.MM.
	if ($(".class_to_ym_comma").length > 0) {
		$(".class_to_ym_comma").each(function() {
			$(this).prepend(toYmComma($(this).attr("value")));
		});
	}

	if ($(".class_to_ymd_comma_main").length > 0) {
		$(".class_to_ymd_comma_main").each(function() {
			$(this).prepend(toYmdComma2($(this).attr("value")));
		});
	}
	
	//차트 날짜 형식 변경
	if ($(".detailChartDate").length > 0) {
		$(".detailChartDate").each(function() {
			var dateStr = toYmComma($(this).attr("value"));
			$(this).prepend(dateStr);
		});
	}

	//안내목 제목 ■ 삭제
	if ($(".dc_dep1") != null) {
		$(".dc_dep1").each(function(idx) {
			$(this).text($(this).text().replace("■ ", ''));
		});
	}
	
	//기간 구분 변경  1111. 11. 11 - 1111. 11. 111  ==> 1111. 11. 11 ~ 1111. 11. 111 
	if ($(".termList").length > 0) {
		$(".termList").each(function() {
			$(this).text($(this).text().replace("-", "~"));
		});
	}
	
	//포인드
    //회원등급 vip는 .vip 클래스를, 회원등급는 gold .gold 클래스를, 회원등급는 silver .silver 클래스를, 회원등급 일반는 .comm 클래스를 추가해 주세요 -->
	if ($(".mbship_level").length> 0){		
		$(".mbship_level").each(function (idx){
			var mbshipLevl = $(this).text().toLowerCase();
			$(".box_mbship").eq(idx).removeClass("vip");
			$(".box_mbship").eq(idx).removeClass("glod");
			$(".box_mbship").eq(idx).removeClass("silver");
			$(".box_mbship").eq(idx).removeClass("comm");
			
			if (mbshipLevl == "일반"){
				$(".box_mbship").eq(idx).addClass("comm");
			}else {			
				$(".box_mbship").eq(idx).addClass(mbshipLevl);
			}
		});
	}
	
	// 달력 세팅
	initBillList();
	
	// 간편보기에서 호출한 경우
	if (pageType && pageType == "simple") {
		// vcui
		vcuiFor.simpleView();
	}
	// 청구서 상세에서 호출한 경우
	else {
		// vcui
		vcuiFor.detailView();
		
		// 간편보기에서 자세히 보기시 상세페이지의 해당 아코디언 영역 펼침
		setDataOpenIndex();
		
		// event layer 
		eventCheck();
		
        // 공통 UI 빌드
        $('body').buildCommonUI();
	}
	
	/**
	one depth에 (#)또는 # 를 붉은 색으로 바꾼다 
	 * */
	$(".depth1, .payment_request_etc").each(function(){	
		//단말기할부금
		var strIndex = -1;
		var repalceStr = "";
		if ( $(this).text().indexOf("(#)") > -1){
			strIndex = $(this).html().indexOf("(#)");
			repalceStr = "(#)";
		}else if ( $(this).text().indexOf("#") > -1){
			strIndex = $(this).html().indexOf("#");
			repalceStr = "#";
		}
		
		//console.log(repalceStr);
		if (strIndex >-1){
			$(this).html($(this).html().replace(repalceStr, '<em class="fc_red">'+repalceStr+'</em>'));
		}
	});
	
	//소액결제 link title 변경
	setMicroPayLink();
	//기부금 업체번호 인 경우 전화link 제거
	setGiveTelLink();
	
	// 납부정보 추가인출(승인)일이 두줄로 나올경우 한줄로 합친다.
	if($('#row_add_drw > td').length > 0){
		$('#row_add_drw > td').html($('#row_add_drw > td').text() +"<br/>"+ $('#row_add_drw2 > td').text());
		$('#row_add_drw2').hide();
	} 
	
	// 납부정보 납기일 .찍기
	if ($("#row_pay_due_dt > td").length > 0){
		$("#row_pay_due_dt > td").text( makeDatefn($("#row_pay_due_dt > td").text()) );
	}

	// 납부정보 인출승인예정일
	if ($("#row_drw_dt > td").length > 0){
		$("#row_drw_dt > td").text( makeDatefn($("#row_drw_dt > td").text()) );
	}
	
	// 출금(승인)예정일
	if ($("#row_add_drw_dt > td").length > 0){
		$("#row_add_drw_dt > td").text( makeDatefn($("#row_add_drw_dt > td").text()) );
	}
	
	//청구내역 상세 - 단말기 할부금 '0' 이면 remove
	var classArray = ["_AH9", "_AS9", "_TX9", "_AP9","_B99"];
		$(classArray).each(function(i, selector) {
		$("#payment"+selector).find(".tit_total").find(".val").each(function() {
			if($(this).text().replace("원","") == "0" && $("#payment"+selector).find('li').length == 0){
				$("#payment"+selector).remove();
			}
		});
	});
	
	//OK캐시백 앱 설치
	$("#okCashbagApp").on("click", function (){
		goOkcashBagApp();
	})
	//clipboad copy
	var clipboard = new Clipboard("#btn_coupon_copy");
	clipboard.on('success', function(e){
		alert("쿠폰번호가 복사되었습니다.");
	});
	clipboard.on('error', function(e){
		console.log(e);
	});
}


//소액결제 link title 변경
var setMicroPayLink = function (){
	if ($(".microPayList") != null){
		$(".microPayList").each(function(idx){
			var strTitle = $(this).find("dd").eq(0).text().trim();
			$(this).find(".tlink").attr("title", strTitle+" 사이트 인터넷 앱에서 열림");
			$(this).find(".tlink").attr("href", "javascript:goWWWurlBtnCall('"+$(this).find(".tlink").attr("value")+"','"+strTitle+"')");
		});
	}
}

//기부금 업체번호 인 경우 전화link 제거
var setGiveTelLink = function (){
	if($(".module_e3") != null){
		$(".module_e3").find(".box_tel").each(function(idx){
			if(isNaN($(this).text().replace("-",""))){
				$(this).find('a').attr('href','javascript:void(0);');
			}
		});
	} 
}

// 간편보기에서 자세히 보기시 상세페이지의 해당 아코디언 영역 펼침
// 청구내역(id_m_pb), 약정 및 할부(id_m_pd), 납부정보(id_m_pg) 만 해당
var setDataOpenIndex = function(menuid) {
	// menuid 를 파라미터로 받는 경우 (간편보기)
	if (!menuid) {
		var request = new Request();
		menuid = request.getParam('menuid') || "id_m_pb";
		// menuid가 청구내역 상세 가 아닌 경우 
		// float_wrap 에 있는 li index 참조 하여 open
		if (menuid != "id_m_pb") {
			if ($('.float_wrap > ul > li').length > 0) {
				$('.float_wrap > ul > li').each(function() {
					if ($(this).find('a').attr('href') == '#' + removeWord(menuid, "#")) {
						$('.ui_freezeHeaders').attr('data-open-index', $(this).index());
					}
				});
			}
		}
		// menuid가 청구내역 상세인 경우 영역이 없으면 
		// 첫번째 section open
		else {
			if ($('.float_wrap > ul > li > a[href="#id_m_pb"]').length == 0) {
				$('.ui_freezeHeaders').attr('data-open-index', 0);
			}
		}
	}
	// setDataOpenIndex 함수 직접 호출
	else {
		$('.ui_accordion_ex').vcAccordion('collapseAll');
		$('.float_wrap > ul > li > a[href="#' + removeWord(menuid, "#") + '"]').trigger('click');
	}
};

var billMonth = function (){
	var i = 0;
	var date = [];

	if (!jsonData.invo_list)
		return;

	if (jsonData !== undefined) {
	}
}

/*
숫자를 제외한 모든 문자 제거하고 숫자로 반환한다.
.ex) makeNumber("648분51초") => 64851
*/
var makeNumber = function (str){
	var result = '';	
	if (str != null && str != ''){	
		result = str.replace(/[^-.0-9]/g, '');
	}else {
		result = '0';
	}
	return Number(result);
}


/*
.ex) makeNumber("648분51초") => 64851
*/

/*  분과 초를 나누어 값을 비교할수 있는 숫자로 반환한다.
 *  ex ) makeNumber("648분51초") => 76851
 *  ex ) makeNumber("398분 0초") => 39800
*/
var makeTimeToNumber = function(str){
	var result = "";
	if(str != null && str != '' && str.indexOf("분") > -1){
		var time = str.split("분");
		var minute = time[0].replace(/[^-.0-9]/g, '');
		var second = time[1].replace(/[^-.0-9]/g, '');
		
		if(second.length == 1){
			second = "0" + second;
		} else if (second.length == 0){
			second = "00";
		}
		result = minute + "" + second;
	} else if (str.indexOf("초") > -1){
		result = str.replace(/[^-.0-9]/g, '');
	}
	return Number(result);
}


/*
천단위 Comma를 추가 하여 반환한다.
.ex) setComma("3000", "원") => 3,000d원
.ex) setComma("3000", "") => 3,000
*/
function setComma(str, mUit) {
	str = String(str);
	if (mUit == null ){
		mUit ="";
	}
	return str.replace(/(\d)(?=(?:\d{3})+(?!\d))/g, '$1,')+mUit;
};

/*
 * 문자열에서 해당 문자를 지우고 문자열을 반환 한다
 * .ex) removeWord("6,480분51초","분|초") =>  6,48051
 * */
var removeWord = function (str, removeWord){
	var result = '';
	var splitWorld = removeWord.split('|');
	if (str != null && str != ''){		
		for (var i = 0; i < splitWorld.length; i++) {			
			str = str.replace(splitWorld[i],''); 
			
		}
		result = str;
	}else {
		result = '';
	}
	return result;
}

/* *
 * 청구서 이벤트 display
 * */
var eventCheck = function(){
	// event 페이지 이벤트 날짜 체크.
	if ( $("#id_m_pj").length > 0){
		var current_date;
		var today;
		var evdValue = $("#event_end_date").attr("value");
		
		if ( evdValue ){
			today = new Date();
			year = today.getFullYear().toString();
			month = (today.getMonth()+1).toString();
			day = today.getDate().toString();

			current_date = year +  (month[1]?month:"0"+month[0]) + (day[1]?day:"0"+day[0]);
			
			// module_j01   : 당첨결과 확인 box
			// module_j04   : 이벤트 기간 종료 box
			// event_yn_btn : 이벤트 당첨여부 확인 btn

			if (current_date <= evdValue){
				$(".module_j01").show();
				$(".module_j04").hide(); 
				$("#event_yn_btn").show();			
			}else{
				$(".module_j01").hide();
				$(".module_j04").show();
				$("#event_yn_btn").hide();
			}
		}
		else {
			$(".module_j01").hide();
			$(".module_j04").show();
			$("#event_yn_btn").hide();
		}
	}
}

/* *
 * 청구서 이벤트 당청결과 확인하기 버튼
 * */
var eventYNBtnCall = function(evf , mo, sn, ecn ){
	if(evf == 'Y'){
		$('#event_success').show();

    	if ($('#event_success').length && $('#event_success').is(':visible')) { 
            $(document).scrollTop($('#event_success').position().top - 120);
        }

		var eventUrl;
   	   	//eventUrl = "http://203.236.17.218//WSI/mobileweb/smartbill/event/EventWin.jsp?invo_dt="+invo_dt+"&acnt_num="+acnt_num;  // 개발기
		eventUrl = "http://smartbill.sktelecom.com/WSI/mobileweb/smartbill/event/EventWin.jsp?invo_dt="+invo_dt+"&acnt_num="+acnt_num;  // 운영기

		$.ajax({
			url: eventUrl,
			type:"POST",
			data : "acnt_num="+sn+"&invo_dt="+mo+"&coupon_no="+ecn
		}).done(function(){

		});

	}else{
		$('#event_fail').show();
    	if ($('#event_fail').length && $('#event_fail').is(':visible')) { 
            $(document).scrollTop($('#event_fail').position().top - 120);
        }		
	}
};

//작성일 2015.05.05 -> 2015.5.5
var makeDatefn = function(str) {

	var makeDate = "";
	if (str == "" || str == null || str === undefined)
		return str;
	if (str.indexOf(".") < 0) {
		return str;
	}
	var arr = str.split(".");
	$(arr).each(
			function(idx) {
				makeDate += Number(arr[idx].trim()) >= 10 ? arr[idx].trim() + ". " : arr[idx].trim()
						.replace("0", " ")
						+ ". ";
			});

	return makeDate;
};

var makeDateSplitfn = function (str){

	var makeDate = "";
	var arr1 = str.split("~");

	$(arr1).each(function(idx){
		makeDate += makeDatefn(arr1[idx]) + " ~ ";
	});

	makeDate = makeDate.substring(0, makeDate.length-3);

	return  makeDate;
};

// YYYYMMDD
var toYyyymmdd = function(val) {
	if (val == null || val =="") return "";
	var ymd;

	ymd = val.replace(" ","").trim();

	var delim;

	var yyyy = "";
	var mm = "";
	var dd ="";

	if( ymd.indexOf(".") > 0 ) delim = ".";
	else if( ymd.indexOf("-") > 0 ) delim = "-";
	else if( ymd.indexOf("/") > 0 ) delim = "/";
	else if( ymd.indexOf("월") > 0 ) {
		ymd = ymd.replace("년", " ").replace("월", " ").replace("일"," ");
		delim = " ";
	}
	else {
		return ymd;
	}

	yyyy = ymd.substring(0,4);
	mm =  ymd.substring(ymd.indexOf(delim)+1);
	dd = mm.substring(mm.indexOf(delim)+1).replace(".","");
	mm = mm.substring(0, mm.indexOf(delim));

	if (mm.length == 1) mm = "0"+mm;
	if (dd.length == 1) dd = "0"+dd;

	return yyyy+mm+dd;
};

// YYYYMM
var toYyyymm = function(val) {
	if (val == null || val == "" ) return "";
	var ymd;
	ymd = val.replace(" ","").trim();

	var delim;

	var yyyy = "";
	var mm = "";

	if( ymd.indexOf(".") > 0 ) delim = ".";
	else if( ymd.indexOf("-") > 0 ) delim = "-";
	else if( ymd.indexOf("/") > 0 ) delim = "/";
	else if( ymd.indexOf("월") > 0 ) {
		ymd = ymd.replace("년", " ").replace("월", " ");
		delim = " ";
	}
	else return ymd;


	yyyy = ymd.substring(0,4);
	mm =  ymd.substring(ymd.indexOf(delim)+1);
	mm = mm.substring(0, mm.indexOf(delim));

	if (mm.length == 1) mm = "0"+mm;

	return yyyy+mm;
};

// 청구요약 : YYYYMMDD -> YYYY. MM. DD.
var toYmdComma = function(val) {
	if(val == null || val =="[object Object]" || val == "") return "";

	var ymd= val;
	var ymd2= "";

	if(val.indexOf("~") > 0){
		var tmp = val;
		var delim = "~";
		ymd = tmp.substring(0,tmp.indexOf(delim));
		ymd2 = tmp.substring(tmp.indexOf(delim)+1).replace(" ","").trim();
	}

	ymd = toYyyymmdd(ymd);
	if ( !jQuery.isNumeric(ymd) )
		return ymd;
	var yyyy = ymd.substring(0,4) || "";
	var mm = ymd.substring(4,6) || "";
	var dd = ymd.substring(6,8) || "";
	dd = dd.replace("~","");


	if( mm.charAt(0) == "0") mm = mm.substring(1);
	if( dd.charAt(0) == "0") dd = dd.substring(1);

	if (ymd2.length > 0) {
		ymd2 = toYyyymmdd(ymd2);

		if ( !jQuery.isNumeric(ymd2) )
			return yyyy+"." + mm+"."+dd+". ~ " + ymd2;

		var yyyy2 = ymd2.substring(0,4) || "";
		var mm2 = ymd2.substring(4,6) || "";
		var dd2 = ymd2.substring(6,8) || "";

		if( mm2.charAt(0) == "0") mm2 = mm2.substring(1);
		if( dd2.charAt(0) == "0") dd2 = dd2.substring(1);
		return yyyy+". " + mm+". "+dd+". ~ " + yyyy2+". " + mm2+". "+dd2+".";
	}

	return yyyy+". " + mm+". "+dd+"."

};

// 청구상세 : YYYYMMDD -> YYYY.MM.DD.
var toYmdComma2 = function(val) {

	if(val == null || val =="[object Object]") return "";

	var ymd=val;
	var ymd2= "";

	if(val.indexOf("~") > 0){
		var tmp = val;
		var delim = "~";
		ymd = tmp.substring(0,tmp.indexOf(delim));
		ymd2 = tmp.substring(tmp.indexOf(delim)+1).replace(" ","").trim();
	}

	ymd = toYyyymmdd(ymd);
	if ( !jQuery.isNumeric(ymd) )
		return ymd;
	var yyyy = ymd.substring(0,4) || "";
	var mm = ymd.substring(4,6) || "";
	var dd = ymd.substring(6,8) || "";

	dd = dd.replace("~","");
	if( mm.charAt(0) == "0") mm = mm.substring(1);
	if( dd.charAt(0) == "0") dd = dd.substring(1);

	if (ymd2.length > 0) {
		ymd2 = toYyyymmdd(ymd2);

		if ( !jQuery.isNumeric(ymd2) )
			return yyyy+"." + mm+"."+dd+". ~ " + ymd2;

		var yyyy2 = ymd2.substring(0,4) || "";
		var mm2 = ymd2.substring(4,6) || "";
		var dd2 = ymd2.substring(6,8) || "";

		if( mm2.charAt(0) == "0") mm2 = mm2.substring(1);
		if( dd2.charAt(0) == "0") dd2 = dd2.substring(1);
		return yyyy+"." + mm+"."+dd+". ~ " + yyyy2+"." + mm2+"."+dd2+".";
	}
	return yyyy+"." + mm+"."+dd+"."
};

// 사용패턴 : YYYYMMDD -> YYYY.MM.
var toYmComma = function(val) {

	if(val == null || val =="") return "";
	if(val == "[object Object]") return "";


	var ymd = toYyyymmdd(val);
	if ( !jQuery.isNumeric(ymd) )
		return ymd;
	var yyyy = ymd.substring(0,4) || "";
	var mm = ymd.substring(4,6) || "";
	var dd = ymd.substring(6,8) || "";


	if( mm.charAt(0) == "0") mm = mm.substring(1);
	if( dd.charAt(0) == "0") dd = dd.substring(1);

	return yyyy+"." + mm+".";
};

// 최근총사용량 : YYYYMMDD -> YYYY년MM월
var toYmYd = function(val) {

	if(val == null) return "";
	if(val == "[object Object]") return "";

	var ymd = toYyyymmdd(val);
	if ( !jQuery.isNumeric(ymd) )
		return ymd;
	var yyyy = ymd.substring(0,4) || "";
	var mm = ymd.substring(4,6) || "";
	var dd = ymd.substring(6,8) || "";


	if( mm.charAt(0) == "0") mm = mm.substring(1);
	if( dd.charAt(0) == "0") dd = dd.substring(1);

	return yyyy+"년" + mm+"월";
};

// YYYYMMDD -> YYYY년 MM월
var toYmYd2 = function(val) {

	if(val == null) return "";
	if(val == "[object Object]") return "";

	var ymd = toYyyymmdd(val);
	if ( !jQuery.isNumeric(ymd) )
		return ymd;
	var yyyy = ymd.substring(0,4) || "";
	var mm = ymd.substring(4,6) || "";
	var dd = ymd.substring(6,8) || "";


	if( mm.charAt(0) == "0") mm = mm.substring(1);
	if( dd.charAt(0) == "0") dd = dd.substring(1);

	return yyyy+"년" + " " + mm+"월";
};

// 간편보기 : YYYYMMDD -> YYYY.MM.DD
var toYmdComma3 = function(val) {

	if(val == null || val =="[object Object]") return "";

	var ymd=val;
	var ymd2= "";

	if(val.indexOf("~") > 0){
		var tmp = val;
		var delim = "~";
		ymd = tmp.substring(0,tmp.indexOf(delim)).trim();
		ymd2 = tmp.substring(tmp.indexOf(delim)+1).replace(" ","").trim();
	}

	ymd = toYyyymmdd(ymd);

	if ( !jQuery.isNumeric(ymd) )
		return ymd;
	var yyyy = ymd.substring(0,4) || "";
	var mm = ymd.substring(4,6) || "";
	var dd = ymd.substring(6,8) || "";
	
	if( mm.charAt(0) == "0") mm = mm.substring(1);
	
	dd = dd.replace("~","");

	if (ymd2.length > 0) {
		ymd2 = toYyyymmdd(ymd2);

		if ( !jQuery.isNumeric(ymd2) )
			return yyyy+"." + mm+"."+dd+" ~ " + ymd2+".";

		var yyyy2 = ymd2.substring(0,4) || "";
		var mm2 = ymd2.substring(4,6) || "";
		var dd2 = ymd2.substring(6,8) || "";
		if( mm2.charAt(0) == "0") mm2 = mm2.substring(1);

		return yyyy+"." + mm+"."+dd+". ~ " + yyyy2+"." + mm2+"."+dd2+".";
	}
	return yyyy+"." + mm+"."+dd+"."
};

// 간편청구서 : YYYYMM -> YYYY.MM
var toYmComma1 = function(val) {

	if(val == null || val =="") return "";
	if(val == "[object Object]") return "";


	var ymd = toYyyymmdd(val);
	if ( !jQuery.isNumeric(ymd) )
		return ymd;
	var yyyy = ymd.substring(0,4) || "";
	var mm = ymd.substring(4,6) || "";
	var dd = ymd.substring(6,8) || "";
	
	if( mm.charAt(0) == "0") mm = mm.substring(1);

	return yyyy+". " + mm+".";
};

// 간편청구서 청구월 : YYYYMMDD -> MM월
var toMm = function(val) {

	if(val == null) return "";
	if(val == "[object Object]") return "";

	var ymd = toYyyymmdd(val);
	if ( !jQuery.isNumeric(ymd) )
		return ymd;
	var yyyy = ymd.substring(0,4) || "";
	var mm = ymd.substring(4,6) || "";
	var dd = ymd.substring(6,8) || "";


	if( mm.charAt(0) == "0") mm = mm.substring(1);
	if( dd.charAt(0) == "0") dd = dd.substring(1);

	return mm+"월";
};

// 청구년월 : YYYYMMDD -> YYYMM
var toYearMm = function(val) {

	if(val == null) return "";
	if(val == "[object Object]") return "";

	var ymd = toYyyymmdd(val);
	if ( !jQuery.isNumeric(ymd) )
		return ymd;
	var yyyy = ymd.substring(0,4) || "";
	var mm = ymd.substring(4,6) || "";
	var dd = ymd.substring(6,8) || "";


	if( mm.charAt(0) == "0") mm = mm.substring(1);
	if( dd.charAt(0) == "0") dd = dd.substring(1);

	return yyyy+""+mm;
};

//금액표시
function commaNum(str) {
	str = String(str);
	return str.replace(/(\d)(?=(?:\d{3})+(?!\d))/g, '$1,');
};

// 유무선 서비스 유형 목록
var wireSvcArr = [
	{"svc" : "C",		"name" : "이동전화"}, 
	{"svc" : "I",		"name" : "인터넷"}, 
	{"svc" : "P",		"name" : "유선전화"}, 
	{"svc" : "T",		"name" : "IPTV"}, 
	{"svc" : "X",		"name" : "유무선결합할인"}, 
	{"svc" : "O",		"name" : "기업솔루션"}, 
	{"svc" : "A",		"name" : "앱서비스"}, 
	{"svc" : "H",		"name" : "하드웨어"}, 
	{"svc" : "N",		"name" : "기타서비스"}, 
	{"svc" : "B",		"name" : "기업데이터"}
];

// 회선번호 print
// type (M : 무선, W : 유선/유무선)
var printSvcNum = function(json, type) {
	var print = "";
	if (json && type) {
		if (type == "M") {
			// 회선번호
			if (json.mn.sv && json.mn.sv.x) {
				print = json.mn.sv.x;
				// 다회선인 경우
				if (json.mn.cn && json.mn.cn.x) {
					if (Number(json.mn.cn.x) > 1) {
						print = "[대표]";
						print += " " + json.mn.sv.x;
						print += " 외 " + String(Number(json.mn.cn.x) -1) + "건";
					}
				}
				/*if (json.dtlNum && json.dtlNum.info) {
					if ($.isArray(json.dtlNum.info) && json.dtlNum.info.length > 1) {
						print = "[대표]";
						print += " " + json.mn.sv.x;
						print += " 외 " + String(json.dtlNum.info.length -1) + "건";
					} 
				}*/
			}
		}
		// 유선/유무선
		else {
			// 유무선 / 유선 구분 (유무선 : C, 유선 : W) 
			if (json.mn.ty && json.mn.ty.x) {
				// 유선
				if (json.mn.ty.x == "W") {
					// 회사 구분 코드 (T : SKT, B : SKB)
					if (json.mn.cl && json.mn.cl.x) {
						// 회사구분이 B
						if (json.mn.cl.x == "B") {
							print = "SKB";
						}
						// 회사구분이 T
						else {
							print = "SKT";
						}
					}
				}
				else {
					print = "SKT";
				}
			}
			// 상단 사용자 정보 서비스 유형
			if (json.mn.sc && json.mn.sc.x) {
				for (var i in wireSvcArr) {
					if (json.mn.sc.x == wireSvcArr[i].svc) {
						print += (print) ? " " + wireSvcArr[i].name : wireSvcArr[i].name;
						break;
					}
				}
			}
			// 회선번호
			if (json.mn.sv && json.mn.sv.x) {
				print += (print) ? " " + json.mn.sv.x : json.mn.sv.x;
				// 다회선인 경우
				if (json.mn.cn && json.mn.cn.x) {
					if (Number(json.mn.cn.x) > 1) {
						print += " 외 " + String(Number(json.mn.cn.x) -1) + "건";
					}
				}
				/*if (json.detailList && json.detailList.info) {
					if ($.isArray(json.detailList.info) && json.detailList.info.length > 1) {
						print += " 외 " + String(json.detailList.info.length -1) + "건";
					}
				}*/
			}
		}
	}
	return print;
};

/*
 * 청구서 간편보기(큰글씨 보기) 에서 청구서 상세 화면으로 이동한다.
 * wireless_bill : 무선(단회선)
 * wireless_bill_mline : 무선(다회선)
 * wire_bill : 유무선
 */
var go = function(target, menuid, billType) {
	var request = new Request();
	var familyYN = request.getParam("familyYN") || "";
	var multiLineYN = request.getParam('multiLineYN') || "";
	var osType = request.getParam('osType') || 'A';
	location.href = "../html/"+target+".html?menuid="+menuid+"&billType="+billType +"&familyYN="+familyYN +"&multiLineYN="+multiLineYN +"&osType="+osType;
};
/*
 * 청구서 상세 화면에서 청구서 간편보기(큰글씨 보기) 으로 이동한다.
 * wireless_bill_submain.html : 무선
 * wire_bill_submain.html : 유무선
 */
var goSimple = function(target) {
	console.log("goSimple.target==>"+target);
	var request = new Request();
	var familyYN = request.getParam("familyYN") || "";
	var multiLineYN = request.getParam('multiLineYN') || "";
	var billType = request.getParam('billType');
	var osType = request.getParam('osType') || 'A';
	location.href = "../html/"+target+"_bill_submain.html?billType="+billType +"&familyYN="+familyYN +"&multiLineYN="+multiLineYN +"&osType="+osType;
};

// 현재 페이지에 대한 스크립트 작성 : 기획 제작물
// [loadDocument() 함수에서 호출]
var vcuiFor = {
		// 월선택 컴포넌트
		monthCalendar : function() {
	        // 월선택 컴포넌트 빌드
	        $('.ui_monthCalendar').vcMonthCalendar({
	            // start: 2017-11-14 추가
	            data:billMonthList,
	            selectDate: currentDate,
	            // end: 2017-11-14
	            on: {
	                // 달력레이어에서 날짜를 선택하면 아랫 이벤트가 발생합니다.
	                'monthcalendarselect': function (e, data) {
	                    // 레이어 닫기: 어차피 새로고침될테니까 굳이 레이어를 안닫아줘도 됩니다.
	                   // $(this).vcMonthCalendar('close');
	                    // to.개발팀: 선택한 날짜를 파라미터로 던져서 페이지를 불러오시면 됩니다.
	                    //location.href = '?year='+data.year+'&month='+data.month;
	                    // 선택된 날짜와 현재 청구서 날짜와 비교하여 다르면 이동
	                	var data_select_date = $('.ui_monthCalendar').attr('data-select-date');
	                    if (data_select_date && data_select_date.indexOf("-") > -1) {
	                    	var selectYear = (typeof data.year === 'number') ? String(data.year) : data.year;
	                    	var selectMonth = (typeof data.month === 'number') ? String(data.month) : data.month;
	                    	if (data_select_date != (selectYear + "-" + force2Digits(selectMonth))) {
	                    		goBillCall(selectYear + force2Digits(selectMonth));
	                    	}
	                    }
	                },
                    // start: 2018-01-04 삭제
                    /*
	                'monthcalendaropen monthcalendarclose': function (e) {
	                    // 레이어가 열렸을 때 바닥페이지의 스크롤이 안먹도록 처리
	                    site.preventPageScroll(e.type === 'monthcalendaropen');
	                    //$('.ui_freezeHeaders').vcFakeFreezeHeaders('update');
	                }*/
                    // end : 2018-01-04
	            }
	        });
	        
	        // 청구서 재발행 or 가족 청구서 일경우 월선택 컴포넌트 펼쳐지지 않게 수정
	        var request = new Request();
	        var billType = request.getParam('billType') || "bill";
		    var familyYN = request.getParam('familyYN') || 'N';
        	if (billType != "bill" || familyYN == "Y") {
        		if ($('.ui_monthCalendar_toggle').length > 0) {
        			$('.ui_monthCalendar_toggle').prop("disabled", "disabled");
        		}
        	}
		}
		
		// 청구서 상세용
		, detailView : function() {
	        vcui.require([
	            'ui/barChart',
	            'ui/inviewScroll',
	            'ui/fakeFreezeHeaders',
	            'ui/monthCalendar',
	            'ui/toggleSelectbox',
	            'ui/detailShortcutFloater' // 17-11-13 추가
	        ], function () {

	            // 월선택 컴포넌트
	            vcuiFor.monthCalendar();

	            // 아코디언 빌드(기본 아코디온 구조가 아니라서 따로 빌드해줌)
	            $('.ui_accordion_ex').vcAccordion({
	                singleOpen: false, // 2017-11-21 수정
	                itemClosest: 'section',
	                itemSelector: 'section',
	                toggleSelector: '>.dep1_tit .ui_accord_toggle',
	                on:{
	                    'accordionexpand accordioncollapse': function (e, data) {
	                        // 내부에 많은 아코디온이 있어서 필터링해야 한다.
	                        if (!$(e.target).hasClass('ui_accordion_ex')) {
	                            return;
	                        }

	                        // start: 2017-11-21 수정
	                        if(e.type=="accordionexpand"){
	                            if($(data.content).find('svg').length==0){
	                                $(data.content).find('.ui_barChart').vcBarChart({isAnimate:true});  
	                            }

	                            $('html, body').stop(true).animate({
	                                scrollTop: $(data.header).offset().top + 3 // 2018-01-04 수정
	                            }, {
	                                duration: 'fast'
	                            });
	                        }
	                        // end: 2017-11-21 수정

	                        // 아코디온이 토글될 때 페이지의 사이즈가 변경되므로, freezeHweaders 컴포넌트를 갱신시켜줘야 한다.
	                        $('.ui_freezeHeaders').vcFakeFreezeHeaders('update');
	                    }
	                }
	            });

	            // start: 2017-11-21 수정 // data-open-index 가 설정되지 않았을때. 처리
	            if(!$('.ui_accordion_ex').data('openIndex')){
	                var $defaultAccord = $('.ui_accordion_ex').find('section').eq(0);
	                if($defaultAccord.find('svg').length==0){
	                    $defaultAccord.find('.ui_barChart').vcBarChart({isAnimate:true});  
	                }  
	            } 
	            // end: 2017-11-21 수정   

	            // 헤더고정 컴포넌트 빌드
	            $('.ui_freezeHeaders').vcFakeFreezeHeaders({
	                offsetTop: 100,                             // 2018-01-04 추가
	            	fixHeader: '.ui_fix_header',
	                headerSelector: '.dep1_tit',
	                offsetBottom: $('.ui_freezeHeaders .dep1_tit').first().outerHeight(),
	                allowFreeze: function(header) {
	                    return $(header).parent().hasClass('on');
	                }
	            }).vcFakeFreezeHeaders('update');

	            // 고정헤더에서 닫기 버튼 클릭시
	            $('.ui_accordion_close').on('click', function (e) {
	                e.preventDefault();
	                $('.ui_accordion_ex').vcAccordion('collapse', $(this).data('index')); // 2018-01-04 수정
	            });

	            // 입금전용 계좌에서 은행변경시 연결된 컨텐츠 표시
	            $('.ui_toggleSelectbox').vcToggleSelectbox({
	                itemSelector: '.pay_acc_wrap .box'
	            });

	            // start: 17-11-13 추가
	            // 바로가기 클릭시
	            $('.float_wrap').vcDetailShortcutFloater();
	            // end: 17-11-13 추가


	            // start: 2017-11-21 수정 // 차트가 뷰포트에 들어오면 애니메이션 실행
	            $('.ui_inview').vcInviewScroll({
	                delay: 200,
	                offset: {
	                    top: 50,
	                    bottom: 100
	                },
	                once: {
	                    enter: function (target) {
	                        // 2017-11-24 수정
	                        $(target).find('.ui_barChart:visible').vcBarChart('goAnimate');
	                    },
	                    leave: function () {
	                    }
	                }
	            });
	            // end: 2017-11-21 수정

	        });
		}
		
		// 간편보기용
		, simpleView :  function() {
	        vcui.require([
	            'ui/pieChart',
	            'ui/fontsizeToggler',
	            'ui/monthCalendar'
	        ], function () {

	            // 월선택 컴포넌트
	            vcuiFor.monthCalendar();

	            // 파이차트
	            /*
	            var dataArr = [
	            {'title':'이동전화','label':'70%', 'value':'70', 'color':'#68687A'},
	            {'title':'인터넷','label':'10%','value':'10', 'color':'#19ACB9'},
	            {'title':'유선전화','label':'10%','value':'10', 'color':'#FFB71E'},
	            {'title':'IPTV','label':'5%', 'value':'5', 'color':'#EE3C50'},
	            {'title':'유무선 결합요금','label':'4%','value':'4', 'color':'#19ACB9'},
	            {'title':'유무선 결합요금','label':'1%','value':'1', 'color':'#FFB71E'}];
	            */

	            $('.ui_pieChart').vcPieChart({isAnimate:true});
	            $('.ui_pieChart').vcPieChart("goAnimate");


	            // 글자크기 토글러
	            $('.ui_fontsizeToggler').vcFontsizeToggler({
	                target: '.ui_webview_font'
	            });
	        });
		}
};
